def checkfile(archivo):
	#FUNCION PARA DETERMINAR SI EXISTE UN FICHERO.
	#formato archivo carpeta/archivo.extension
	import os.path
	archivo = str(archivo)
	return os.path.exists(archivo)
def checkfile2(nombre):
	
	var = str(nombre)
	
	archivo = "Docs/buffer/"+var+".txt"
	print(archivo)
	import os.path
	return os.path.exists(archivo)


def crear_fichero(nombre, opcion, texto):
	#funcion auxiliar creacion de fichero. El nombre tiene que escribirse con la extension.
	#en el nombre si la ubicacion es distinta le pongo la ubicacion
	opcion = str(opcion)
	nombre = str(nombre)
	if(opcion == 'inicio'):
		fichero = open(nombre, 'w')
		fichero.write(texto)
		fichero.close()
	else:
		if(checkfile(nombre)):
			fichero = open(nombre, 'a')
			fichero.write(texto)
			fichero.close()
		else:
			fichero = open(nombre, 'w')
			fichero.write(texto)
			fichero.close()

def lectura_fichero(nombre, separador):
	#lectura de un fichero txt (hay que incluir la extension en el nombre) y devuelve el resultado en uan matriz
	resultado = []
	nombre = str(nombre)
	separador = str(separador)
	fichero = open(nombre, 'r')
	mat = []
	for linea in fichero.readlines():
		aux = []
		aux = linea.split(separador)
		mat.append(aux)
	if (separador != 'ninguno'):
		for i in range(len(mat)):
			aux2 = []
			for j in range(len(mat[i])):
				if(mat[i][j] != separador and mat[i][j] != ' '):
					aux2.append(mat[i][j])
			resultado.append(aux2)
	else:
		for i in range(len(mat)):
			aux2 = []
			for j in range(len(mat[i])):
				aux2.append(mat[i][j])
			resultado.append(aux2) 
	"""		
	for i in range(len(resultado)):
		for j in range(len(resultado[i])):
			resultado[i][j] = int(resultado[i][j])
			resultado[i][j] = str(resultado[i][j])
	"""
	return resultado

def mov(buf_, alt, modo):
	buf_ = [int(buf_[0]), int(buf_[1])]
	alt = int(alt)
	print(buf_)
	#funcion que se mueve por las estanterias
	if (modo == 'avance'):
		if(buf_[0]%2 != 0):
			if(buf_[1]<alt):
				buf_[1] = buf_[1] + 1
			else:
				buf_[0] = buf_[0] + 1
				buf_[1] = alt
		else:
			if(buf_[1]>2):
				buf_[1] = buf_[1] - 1
			else:
				buf_[0] = buf_[0] + 1
				buf_[1] = 2
	else:
		if(buf_[0] == 1 and buf_[1] == 2):
			print("Se encuentra en la posicion inicial")
			
		else:
			if(buf_[0]%2 == 0):
				if(buf_[1]<alt):
					buf_[1] = buf_[1] + 1
				else:
					buf_[0] = buf_[0] - 1
					buf_[1] = alt
			else:
				if(buf_[1]>2):
					buf_[1] = buf_[1] - 1
				else:
					buf_[0] = buf_[0] - 1
					buf_[1] = 2
						
	buf_ = [str(buf_[0]), str(buf_[1])]
	return buf_

